> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Loyalty Rule Status

> Update a loyalty rule status



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/loyalty/rule_statuses
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/loyalty/rule_statuses:
    post:
      tags:
        - Loyalty
      summary: Update Loyalty Rule Status
      description: Update a loyalty rule status
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationId:
                  type: string
                  format: uuid
                  title: Organization ID
                  description: Unique identifier for the organization
                  example: 123e4567-e89b-12d3-a456-426614174001
                websiteId:
                  type: string
                  format: uuid
                  title: Website ID
                  description: Unique identifier for the website
                  example: 123e4567-e89b-12d3-a456-426614174002
                userId:
                  type: string
                  format: uuid
                  title: User ID
                  description: >-
                    Unique identifier for the user, either userId or
                    walletAddress must be provided
                  example: 123e4567-e89b-12d3-a456-426614174003
                walletAddress:
                  type: string
                  title: Wallet Address
                  description: >-
                    Unique identifier for the wallet address, either userId or
                    walletAddress must be provided
                  example: 123e4567-e89b-12d3-a456-426614174004
                loyaltyRuleId:
                  type: string
                  format: uuid
                  title: Loyalty Rule ID
                  description: Unique identifier for the loyalty rule
                  example: 123e4567-e89b-12d3-a456-426614174030
                progress:
                  type: number
                  minimum: 0
                  title: Progress
                  description: >-
                    Progress of the loyalty rule. Clamped to the rule target
                    (100 for percentage rules, the highest reward range end for
                    counter rules).
                  example: 50
                incProgress:
                  type: number
                  minimum: 0
                  title: Increment Progress
                  description: >-
                    Increment progress of the loyalty rule. The resulting
                    progress is clamped to the rule target (100 for percentage
                    rules, the highest reward range end for counter rules).
                  example: 10
              required:
                - loyaltyRuleId
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  websiteId:
                    type: string
                    format: uuid
                  organizationId:
                    type: string
                    format: uuid
                  userId:
                    type: string
                    format: uuid
                  loyaltyRuleId:
                    type: string
                    format: uuid
                  progress:
                    type: number
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - websiteId
                  - organizationId
                  - userId
                  - loyaltyRuleId
                  - progress
                  - createdAt
                  - updatedAt
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Not found
                required:
                  - message
                title: Not Found Response
                description: Schema for not found response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````